<?php 
/**
 * Theme inline styles and javascripts
 *
 * @package Yummy Pro
 */

if ( ! function_exists( 'yummy_pro_inline_css' ) ) :
	// Add Custom Css
	function yummy_pro_inline_css() {
		$options = yummy_pro_get_theme_options();

		$css = '';

		$contact_form_background_image_css = '';
		if ( isset( $options['contact_form_background_image'] ) ) {
			$contact_form_background_image = $options['contact_form_background_image'];
			// Slider opacity
			$contact_form_background_image_css = '
			#contact-form {
			   background-image: url('.esc_url( $contact_form_background_image ).' );
			}';
		}

		$pagination_type = isset( $options['pagination_type'] ) ? $options['pagination_type'] : 'default';
		if ( $pagination_type == 'infinite-scroll' ) {
			$css .= '
			.site-main nav.pagination.navigation {
				display:none;
			}';
		}

		$shop_pagination_type = isset( $options['shop_pagination_type'] ) ? $options['shop_pagination_type'] : 'numeric';
		if ( $shop_pagination_type == 'infinite-scroll' ) {
			$css .= '
			nav.woocommerce-pagination {
				display:none;
			}';
		}

		$css .= $contact_form_background_image_css;
		wp_add_inline_style( 'yummy-pro-style', $css );
	}
endif;
add_action( 'wp_enqueue_scripts', 'yummy_pro_inline_css', 10 );